Subject: bug#13764: 24.3.50; please do not use defsubst for `font-lock-(apply-highlight|fontify-anchored-keywords)'

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 30 Oct 2019 13:45:35 +0100

Drew Adams <[email-masked]> writes:

>> > I see no reason why these function should not be defuns.
>> 
>> Presumably they are that way because of efficiency concerns.  Have you
>> done benchmarking to compare the impact of these defsubsts turning into
>> defuns?
>
> Oh come on.  Why such a presumption?  Did you look at the code?

I take that as a "no", and I'm closing this bug report as a "wontfix".

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no